Subject: [PATCH 0/13] [RFC] Fix problems with IPv6 routing subtrees and source address selection

From: Ville Nuorvala <[email-masked]>
Date: Tue, 17 Oct 2006 02:52:19 +0300

Hi,

here are a bunch of more or less related patches having to do with fixing the IPv6 routing
subtrees and source address selection. Most of the code is a cleaned up version of what
I've written earlier for MIPL 2, where it has worked pretty well for a couple of years now.

The SCTP code, however, turned out to be messier and more difficult to fix than I had
originally thought. As I'm not that familiar with SCTP and don't really have an
opportunity to test the code I'm especially grateful for any comments regarding those
parts of the code.

I've tried to split up the changes into logical parts to help digest them. Please comment!

Regards,
Ville